%define section	free

Name:		swingwt
Version:	0.85
Release:	3jpp
Epoch:		0
Summary:	Free implementation of Swing and AWT
License:	LGPL
URL:		http://swingwt.sourceforge.net/
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.sourceforge.net/swingwt/swingwt-0.85.tar.gz
Requires:	bcel
Requires:	eclipse >= 0:3.0.1
BuildRequires:	eclipse-gef >= 0:3.0.1
Requires:	libswt3-gtk2 >= 0:3.0.1
Requires:	jakarta-commons-lang
Requires:	java >= 0:1.4.2
Requires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	ant-junit >= 0:1.6
BuildRequires:	bcel
BuildRequires:	eclipse >= 0:3.0.1
BuildRequires:	eclipse-gef >= 0:3.0.1
BuildRequires:	libswt3-gtk2 >= 0:3.0.1
BuildRequires:	jakarta-commons-lang
BuildRequires:	java-devel >= 0:1.4.2
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SwingWT is a 100% pure Java library which aims to be a free 
implementation of Swing and AWT. Unlike Swing, it drives native peer 
widgets for your platform from SWT.

SwingWT offers many benefits:

    * More responsive GUIs and faster startup times
    * Less RAM usage for applications
    * Many developers prefer the Swing API
    * Existing Swing applications don't need to be recoded
    * Mature Swing UI designers can be used
    * Developers deploying to *nix/Win32 can compile natively with 
      GCJ and the applications can be distributed without a VM. 
      Linux distribution makers could package many existing 
      Java/Swing applications that previously could not be 
      distributed in workable state
    * SWT components can be directly accessed through the API, 
      allowing mix and match (make Eclipse plugins with Swing!)
    * All platform benefits such as font sub-pixel decimation for 
      LCD monitors (unavailable in Swing)
    * Use Swing on mobile devices!
    * The best of both worlds! New Swing components for 
      JClosableTabbedPane, JCoolBar, JTaskTrayItem
    * Insulation from changes to the SWT APIs
    * Insulation from differences between SWT platforms

%package	demo
Summary:	Demos for %{name}
Group:		Development/Java

%description	demo
Demos for %{name}.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n SwingWT
%__rm -rf lib/*

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath bcel commons-lang eclipse/jface eclipse/osgi eclipse/runtime eclipse/workbench eclipse-draw2d eclipse-gef swt-gtk swt-pi-gtk)
# This target also builds the jars, even if they were already built
%ant test
%__mkdir_p lib/javadocs
%javadoc -d lib/javadocs `find swingwt* -type f -name "*.java"`

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__install -m 644 lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%__install -m 644 lib/demos.jar %{buildroot}%{_javadir}/%{name}-demos-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} ${jar/-%{version}/}; done)

# javadoc
%__install -p -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a lib/javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS CHANGELOG COPYING FAQ README TODO
%{_javadir}/%{name}.jar
%{_javadir}//%{name}-%{version}.jar

%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-demos.jar
%{_javadir}//%{name}-demos-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sun Nov 28 2004 David Walluck <david@jpackage.org> 0:0.85-3jpp
- rebuild to fix packager

* Fri Nov 12 2004 David Walluck <david@jpackage.org> 0:0.85-2jpp
- rebuild

* Fri Nov 05 2004 David Walluck <david@jpackage.org> 0:0.85-1jpp
- release
